local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")


function onBegin()

  if getFlag("vazou1") then

    disableMovement()

    setFlag("comrosas")
    coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CelesteBrasil_wanderbirthdaymap_rosas"))

    setFlag("falou1", false)
    setFlag("vazou1", false)

  end

end

function onEnd(wasSkipped)
  if wasSkipped then
    setFlag("comrosas")
    setFlag("falou1", false)
    setFlag("vazou1", false)
    enableMovement()
  end
end